Loading...
Searching...
No Matches
BALL::VIEW::FDPBDialog Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/FDPBDialog.h>`

Inheritance diagram for BALL::VIEW::FDPBDialog:

## Public Slots

virtual void | browseChargesData ()
virtual void | browseChargesRules ()
virtual void | browseRadiiData ()
virtual void | browseRadiiRules ()
virtual void | accept ()
virtual void | resetPressed ()

## Public Member Functions

| FDPBDialog (QWidget *parent=0, const char *name="FDPBDialog", bool modal=false, Qt::WindowFlags fl=0)
| Constructor.
virtual | ~FDPBDialog ()
| Destructor.
bool | calculate ()
| Calculate the FDPB grid.
FDPB & | getFDPBSolver ()
| Get the instance of the FDPB solver.
void | setSystem (System *system)
| Set the system, the FDPB will be calculated for.
System * | getSystem ()
| Get the system.
Public Member Functions inherited from BALL::VIEW::ModularWidget
| ModularWidget (const char *name="<ModularWidget>")
| ModularWidget (const ModularWidget &widget)
virtual | ~ModularWidget ()
virtual void | destroy ()
virtual void | clear ()
virtual void | checkMenu (MainControl &main_control)
QAction * | insertMenuEntry (Position parent_id, const QString &name, const QObject *receiver=0, const char *slot=0, const String &description="", QKeySequence accel=QKeySequence(), const QString &menu_hint=QString(""), UIOperationMode::OperationMode minimal_mode=UIOperationMode::MODE_ALL)
BALL_DEPRECATED void | setMenuHelp (QAction *, const String &)
virtual BALL_DEPRECATED void | registerForHelpSystem (const QObject *, const String &)
virtual void | addToolBarEntries (QToolBar *main_tb)
void | setIcon (QAction *action, const String &filename, bool add_to_main_toolbar=true)
virtual void | initializePreferencesTab (Preferences &preferences)
virtual void | finalizePreferencesTab (Preferences &preferences)
virtual void | applyPreferences ()
virtual void | fetchPreferences (INIFile &inifile)
virtual void | writePreferences (INIFile &inifile)
bool | lockComposites ()
bool | unlockComposites ()
| Unlock the Composites.
MainControl * | getMainControl () const
virtual void | setStatusbarText (const String &text, bool important=false)
virtual void | setStatusbarText (const QString &text, bool important=false)
String | getWorkingDir ()
| Implemented for convenience.
void | setWorkingDir (const String &dir)
| Implemented for convenience.
FragmentDB & | getFragmentDB () const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
void | setWorkingDirFromFilename_ (String filename)
virtual BALL_DEPRECATED void | showHelp (const String &)
virtual void | initializeWidget (MainControl &main_control)
virtual void | finalizeWidget (MainControl &main_control)
virtual bool | canHandle (const String &) const
virtual bool | openFile (const String &)
Public Member Functions inherited from BALL::Embeddable
| Embeddable (const String &identifier="<Embeddable>")
| Embeddable (const Embeddable &embeddable)
virtual | ~Embeddable ()
void | setIdentifier (const String &identifier)
const String & | getIdentifier () const
void | unregisterThis ()
virtual void | registerThis ()
Public Member Functions inherited from BALL::VIEW::ConnectionObject
| ConnectionObject ()
virtual | ~ConnectionObject ()
void | registerConnectionObject (ConnectionObject &object)
void | unregisterConnectionObject (ConnectionObject &object)
bool | isConnectionObjectRegistered (const ConnectionObject &object)
ConnectionObject * | getParent () const
ConnectionObject * | getRoot ()
virtual void | onNotify (Message *message)
virtual bool | isValid () const
Public Member Functions inherited from BALL::VIEW::PreferencesEntry
| PreferencesEntry ()
virtual | ~PreferencesEntry ()
virtual void | writePreferenceEntries (INIFile &inifile)
| Store the settings of all registered objects.
virtual void | readPreferenceEntries (const INIFile &inifile)
| Restore the settings of all registered objects.
void | setINIFileSectionName (const String &name)
| Set the name for the section in the INIFile.
const String & | getINIFileSectionName () const
| Get the name for the section in the INIFile.
void | setWidgetStackName (const String &name)
StackPages & | getStackPages ()
| Return all pages, that are to be shown in a parent QStackedWidget.
void | setWidgetStack (QStackedWidget *stack)
virtual void | showStackPage (Position nr)
| Show the specified page in the QStackedWidget.
virtual void | showStackPage (QWidget *widget)
| Show the specified page in the QStackedWidget.
virtual Position | currentStackPage () const
| Get the currently shown page in the QStackedWidget.
virtual void | restoreDefaultValues (bool all=false)
| Set all registered objects to their default values.
virtual void | storeValues ()
virtual void | restoreValues (bool all=false)
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
virtual bool | setValueAllowed (QObject *)
| Allows to prevent restoring of widgets.

## Protected Slots

virtual void | clicked (QAbstractButton *button)

## Protected Member Functions

void | calculate_ ()
void | selectFile_ (QLineEdit &lineedit)
void | applyValues_ ()
bool | applyProcessors_ ()
void | notify_ (Message *message)
void | notify_ (Message &message)
void | onNotify_ (Message *message)
Protected Member Functions inherited from BALL::VIEW::PreferencesEntry
void | registerWidgets_ ()
void | registerObject_ (QObject *widget)
void | unregisterObject_ (QObject *widget)
BALL_DEPRECATED void | registerWidgetForHelpSystem_ (const QWidget *, const String &)
void | restoreValues_ (bool all, const ValueMap &map)
void | insertStackEntry_ (QWidget *, const String &name)
bool | isSupported_ (QObject &widget)
bool | getValue_ (const QObject *widget, String &value)
bool | setValue_ (QObject *widget, const String &value)

## Protected Attributes

FDPB | fdpb_
Options | options_
System * | system_
RadiusRuleProcessor | radius_rule_processor_
ChargeRuleProcessor | charge_rule_processor_
AssignRadiusProcessor | radius_processor_
AssignChargeProcessor | charge_processor_
CalculateFDPBThread * | thread_
QAction * | window_menu_entry_
bool | show_window_enty_
bool | default_visible_
QList< QAction * > | main_toolbar_actions_
Protected Attributes inherited from BALL::VIEW::PreferencesEntry
String | inifile_section_name_
HashSet< QObject * > | registered_objects_
ValueMap | default_values_
ValueMap | last_values_
QStackedWidget * | widget_stack_
StackPages | stack_pages_

## Friends

class | CalculateFDPBThread

## Additional Inherited Members

Public Types inherited from BALL::Embeddable
typedef std::vector< Embeddable * > | EmbeddableVector
Public Types inherited from BALL::VIEW::PreferencesEntry
typedef std::list< std::pair< QWidget *, String > > | StackPages
static void | registerWidget (ModularWidget *mwidget)
Protected Types inherited from BALL::VIEW::PreferencesEntry
typedef HashMap< const QObject *, String > | ValueMap
static void | registerInstance_ (const std::type_info &type, const Embeddable *instance)
static void | unregisterInstance_ (const Embeddable *instance)
static Size | countInstances_ (const std::type_info &type)
static Embeddable * | getInstance_ (const std::type_info &type, Position index)
static Embeddable * | getInstance_ (const std::type_info &type, const String &identifier)

## Detailed Description

Dialog for performing Finite Distance Poisson Bolzmann calculations

Definition at line 49 of file FDPBDialog.h.

## Constructor & Destructor Documentation

## FDPBDialog()

BALL::VIEW::FDPBDialog::FDPBDialog | ( | QWidget * | parent = 0,
|  | const char * | name = "FDPBDialog",
|  | bool | modal = false,
|  | Qt::WindowFlags | fl = 0 )

Constructor.

## ~FDPBDialog()

virtual BALL::VIEW::FDPBDialog::~FDPBDialog | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## accept

virtual void BALL::VIEW::FDPBDialog::accept | ( |  | ) |

virtual slot

## applyProcessors_()

bool BALL::VIEW::FDPBDialog::applyProcessors_ | ( |  | ) |

protected

## applyValues_()

void BALL::VIEW::FDPBDialog::applyValues_ | ( |  | ) |

protected

## browseChargesData

virtual void BALL::VIEW::FDPBDialog::browseChargesData | ( |  | ) |

virtual slot

## browseChargesRules

virtual void BALL::VIEW::FDPBDialog::browseChargesRules | ( |  | ) |

virtual slot

## browseRadiiData

virtual void BALL::VIEW::FDPBDialog::browseRadiiData | ( |  | ) |

virtual slot

## browseRadiiRules

virtual void BALL::VIEW::FDPBDialog::browseRadiiRules | ( |  | ) |

virtual slot

## calculate()

bool BALL::VIEW::FDPBDialog::calculate | ( |  | ) |

Calculate the FDPB grid.

## calculate_()

void BALL::VIEW::FDPBDialog::calculate_ | ( |  | ) |

protected

## clicked

virtual void BALL::VIEW::FDPBDialog::clicked | ( | QAbstractButton * | button | ) |

protected virtual slot

## getFDPBSolver()

FDPB & BALL::VIEW::FDPBDialog::getFDPBSolver | ( |  | ) |

inline

Get the instance of the FDPB solver.

Definition at line 74 of file FDPBDialog.h.

## getSystem()

System * BALL::VIEW::FDPBDialog::getSystem | ( |  | ) |

inline

Get the system.

Definition at line 82 of file FDPBDialog.h.

## resetPressed

virtual void BALL::VIEW::FDPBDialog::resetPressed | ( |  | ) |

virtual slot

## selectFile_()

void BALL::VIEW::FDPBDialog::selectFile_ | ( | QLineEdit & | lineedit | ) |

protected

## setSystem()

void BALL::VIEW::FDPBDialog::setSystem | ( | System * | system | ) |

inline

Set the system, the FDPB will be calculated for.

Definition at line 78 of file FDPBDialog.h.

## Friends And Related Symbol Documentation

## CalculateFDPBThread

friend class CalculateFDPBThread

friend

Definition at line 55 of file FDPBDialog.h.

## Member Data Documentation

## charge_processor_

AssignChargeProcessor BALL::VIEW::FDPBDialog::charge_processor_

protected

Definition at line 123 of file FDPBDialog.h.

## charge_rule_processor_

ChargeRuleProcessor BALL::VIEW::FDPBDialog::charge_rule_processor_

protected

Definition at line 121 of file FDPBDialog.h.

## fdpb_

FDPB BALL::VIEW::FDPBDialog::fdpb_

protected

Definition at line 116 of file FDPBDialog.h.

## options_

Options BALL::VIEW::FDPBDialog::options_

protected

Definition at line 117 of file FDPBDialog.h.

## radius_processor_

AssignRadiusProcessor BALL::VIEW::FDPBDialog::radius_processor_

protected

Definition at line 122 of file FDPBDialog.h.

## radius_rule_processor_

RadiusRuleProcessor BALL::VIEW::FDPBDialog::radius_rule_processor_

protected

Definition at line 120 of file FDPBDialog.h.

## system_

System* BALL::VIEW::FDPBDialog::system_

protected

Definition at line 118 of file FDPBDialog.h.

## thread_

CalculateFDPBThread* BALL::VIEW::FDPBDialog::thread_

protected

Definition at line 124 of file FDPBDialog.h.